Puppy Linux Discussion Forum Forum Index Puppy Linux Discussion Forum
Puppy HOME page : puppylinux.com
"THE" alternative forum : puppylinux.info
 
 FAQFAQ   SearchSearch   MemberlistMemberlist   UsergroupsUsergroups   RegisterRegister 
 ProfileProfile   Log in to check your private messagesLog in to check your private messages   Log inLog in 

The time now is Sun 20 Apr 2014, 07:07
All times are UTC - 4
 Forum index » House Training » Beginners Help ( Start Here)
Libpython2.7.so.1.0 missing. Where can I get it?
Moderators: Flash, Ian, JohnMurga
Post new topic   Reply to topic View previous topic :: View next topic
Page 1 of 1 [6 Posts]  
Author Message
fixit


Joined: 16 Mar 2013
Posts: 398

PostPosted: Tue 26 Mar 2013, 22:02    Post subject:  Libpython2.7.so.1.0 missing. Where can I get it?  

I need libpython2.7.so.1.0 for several programs.

Software manager can't find it ?? and an internet search finds all kinds of versions.

In my opinion, if a program has dependencies, it should have whatever it needs to run in the package.

Otherwise, chaos will be a common occurrence.
Back to top
View user's profile Send private message 
capicoso

Joined: 13 Jan 2012
Posts: 172
Location: Argentina

PostPosted: Tue 26 Mar 2013, 22:23    Post subject:  

Which programs? Which puppy are you using?
You mean that all dependencies should be in the same .pet package?
Sometimes that's ok, depending whichs deps are. But chaos will occur ir we include all dependencies on the same packages.
You install a program that needed python 2.7, ok, later you install another one that also needs python 2.7. IF you uninstall one of these programs, python 2.7 will be also removed, so there you have chaos, your programs will start missing dependencies more often even when they had them satisfied.

That's why .sfs files are cool.

Anyways someone compiled this for us:

http://www.murga-linux.com/puppy/viewtopic.php?t=76806&sid=580abebc9e88e8342aa67eaca9f35f4a
Back to top
View user's profile Send private message 
fixit


Joined: 16 Mar 2013
Posts: 398

PostPosted: Wed 27 Mar 2013, 10:20    Post subject:  

I got the missing library. Now I need to know where to put it.

I looked for a library directory but could not find one.

Thanks.
Back to top
View user's profile Send private message 
capicoso

Joined: 13 Jan 2012
Posts: 172
Location: Argentina

PostPosted: Wed 27 Mar 2013, 12:45    Post subject:  

They should be on /usr/lib
If i were you i'd install that pet i gave you. Unless you're 100% sure that the only missing dep is libpython2.7.so
Back to top
View user's profile Send private message 
fixit


Joined: 16 Mar 2013
Posts: 398

PostPosted: Fri 29 Mar 2013, 09:58    Post subject:  

I installed the pet you recommended.

Andy
Back to top
View user's profile Send private message 
tallboy


Joined: 21 Sep 2010
Posts: 409
Location: Oslo, Norway

PostPosted: Sat 30 Mar 2013, 00:20    Post subject:  

Hi fixit.
It is normal that 'Your-lib.so.2.1' don't understand that 'Your-lib.so.2.2' is an upgrade. You may get it to work by 'cheating', simply make a link from another version, or from a similar lib.
As an example, to get Xpdf to work, I have to make a link from '/lib/libpng12.so.0.42.0' to '/usr/lib/libpng.so.3'.

tallboy

_________________
True freedom is a live Puppy on a multisession CD/DVD.
Back to top
View user's profile Send private message 
Display posts from previous:   Sort by:   
Page 1 of 1 [6 Posts]  
Post new topic   Reply to topic View previous topic :: View next topic
 Forum index » House Training » Beginners Help ( Start Here)
Jump to:  

You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum
You cannot attach files in this forum
You can download files in this forum


Powered by phpBB © 2001, 2005 phpBB Group
[ Time: 0.0944s ][ Queries: 12 (0.0563s) ][ GZIP on ]